HoloDark Help


About HoloDark Help


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of an action in a procedure.


Contact Us

General enquiries on the HoloDark for DigitalMicropraph should be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

Phone:
Fax:
email:
Website:

+81 493 35 3913
+81 493 35 3919
support@hremresearch.com
www.hremresearch.com /

Enquiries on HoloDark of a technical nature should be directed to:

Dr. Martin Hytch
CEMES-CNRS, Toulouse, France

email:

hytch@cemes.fr


Copyright Statements

© Copyright 2006 HREM Research Inc. and CEMES-CNRS

All rights reserved. This manual is protected by international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

Portions of this document were prepared by HREM Research Inc. by editing the materials supplied by Dr. Martin Hytch.

DigitalMicrograph is a trade mark of Gatan Inc.


Quick Reference Guide

The HoloDark Main Menu
Phase Calculation Menu
Define Reference Menu
Define g-vector
Strain Field Menu
Repeat Phase Menu
Manual Adjust Menu
Phase Maths Menu
Phase Tools Menu
Align Images Menu
Extract Rotated Region Menu
Image Group Menu
Reference Image Menu


The HoloDark Main Menu

Quick Reference Guide

The HoloDark Main Menu

The commands in the HoloDark menu are described below.

Command | Description
Power Spectrum | First step in the HoloDark procedure. Calculates and displays the Fourier transform of the front most hologram image. The centre of a side-band is then selected in the image of the Fourier transform (called Power Spectrum) using the mouse tool.
Phase calculation... | Second step in the HoloDark procedure. Calculates phase image for the side-band selected in the Power Spectrum (see options).
Define Reference (see sub menus) | Menu concerning the reference region and third step in the HoloDark procedure. You can use this command to refine the reference region simultaneously on two images after alignment.
Define g-vector... | Defines the value of the diffraction vector (g-vector) in image coordinates, forth step of the HoloDark procedure.
Lattice-plane deformation | Calculates the deformation of lattice planes from the front-most phase image. Displays variation in planar spacing (with respect to reference) and orientation (in degrees, anticlockwise positive).
Align Images (see sub menus) | Allows two phase images from different holograms to be aligned. Corresponding amplitude images will usually be use to find alignment conditions.
Strain field... | Calculates the two-dimensional deformation tensor. Asks for two phase images and options (see below).
Manual Adjust | Allows fine adjustment of two holograms and dynamically changes the phase images and strain maps.
Repeat Phase | Allows phase images and other output to be generated directly from the front-most hologram image, exactly as for a previous calculation.
Phase Maths (see sub menus) | Menu of different mathematical operations which can be performed on phase images.
Phase Tools (see sub menus) | Menu of useful operations, not necessarily restricted to phase images.
Add Color Marker | Adds a color bar and the low and high display ranges. You can move the whole color marker or change its size. Since the display ranges are text annotations, you can move and edit them as you like. The color marker can be placed outside of the image display. You can rotate and flip using Edit commands. (The ratio of the color bar is fixed.)
Extract Rotated Region (see sub menus) | Extracts a region(s) of interest from the processed image(s). The region to be extracted can be arbitrarily rotated, and then the long edge direction will be rotated to horizontal. The final display can be further rotated by 90, 180 or 270 degrees.
Image Group (see sub menus) | Menu to close or save groups of images that are related with each other, e.g. strain maps.
Reference Image (see sub menus) | Menu to define reference images for distortion correction due to CCD cameras or projector lenses.


Phase Callculation Menu

Phase Calculation

(Create Phase Image Dialog)

The components of the dialog are described below.

Command | Description
Project Name | Name given to the group of images and results.
Mask Tab | For information about the components of the Mask tab, see Mask Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
Distortion Tab | For information about the components of the Distortion tab, see Distortion Tab below.
OK | Closes the dialog and starts the image calculation according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Mask Tab

Command |  | Description
Type |  | Defines the shape of mask used to isolate the selected spots in the Fourier transform.
 | Cosine Mask | Half-cosine-shaped mask. Size corresponds to radius of hard cut-off and cosine quarter period (i.e. first zero).
 | Hard Circular Mask | Top-hat mask. Size corresponds to radius of hard cut-off.
 | Square Mask | Square-shaped mask with a hard cut-off. Size corresponds to the distance from the centre to the edges (i.e. half the side length).
Size |  | Defines mask radius of hard cut-off (beyond which values are set to zero).
 | Selection | Default values of large (g/2), medium (g/3) and small (g/4). Custom allows any value.
 | Text Field | In units of pixels in the FFT.
 | Apply Button | Displays mask size as circles on Power Spectrum around selected spots (this is just for display purposes and is not necessary for the calculation).
 | Spatial Resolution | Displays the equivalent averaging in real space (but will appear only if the original image is calibrated).
 | Binning | Defines if the resulting phase images are to be binned with respect to the original image thus reducing their size and speeding the calculation.
Filter |  | Controls the filter to reduce effects from the Fresnel fringes.
 | Fresnel Filter | Defines the strength of the filter: weak (0.9), medium (0.95) and strong (0.98). The number indicates the fraction of the segment between centre-band and side-band which is removed by the mask.
 | Apply Filter | Tick to apply the Fresnel filter.

Display Tab

Command |  | Description
Display |  | Choice of images to be calculated and displayed.
 | Phase | Phase image from selected side-band.
 | Amplitude | Amplitude image from selected side-band.
 | Fringes | Image of the selected side-band fringes.

Distortion Tab

Command |  | Description
Camera |  | Selection of the reference images used for correcting camera distortions (these need preparing with the Reference Image menu).
Lens |  | Selection of the reference images used for correcting lens distortions (these need preparing with the Reference Image menu).
Reference hologram |  | Selection of the reference hologram used for correcting distortions due to bi-prism.
Apply Correction |  | Activates the use of the camera and/or lens reference images to correct distortions. If both are activated, the corrections will be applied successively.
Polynomial fit |  | Activates the use of polynomial fit to the lens distortion (not for camera distortion).
 | Order | Specifies the order of polynomial fit (maximum 6).
 | Exclude border pixels | Specifies the width of border pixels to be excluded when estimating polynomial fit parameters. (Most of the cases the border pixels are affected by discontinuity at the borders. Thus, it is a good idea to exclude some border pixels.)
 | Show fittings | Tick to display the polynomial fit in a new window.


Define Reference Menu

Option | Description
Refine | Before running the command, an area needs to be selected by the DM rectangular ROI tool. The command defines this region as the reference lattice and adjusts phase images accordingly (see options). The rectangular ROI can be made rotatable (see Setup).
Setup... | Opens Setup dialog.

Setup Dialog

Option | Description
Automatic Update | Moving the reference area automatically updates the phase images and reference values.
Show qx,qy | Displays the values of the side-band center (qx, qy) in the DM Results window each time the reference area is updated.
Rotatable | Tick to make the rectangular ROI rotatable. Edge length will be adjusted by grabbing the yellow edges, and the rotation angle will be adjusted by the yellow cross (+). (You can change the both edge lengths by dragging the yellow cross when holding down the SHIFT key.)
Automatic | Tick to align initially the reference ROI parallel to the hologram fringes.


Define g-vector Menu

Define g-vector

Define g-vector Dialog

The components of the dialog are described below.

Component | Description
g-vector Tab | For information about the components of the g-vector tab, see g-vector Tab below.
Crystal Tab | For information about the components of the Crystal tab, see Crystal Tab below.
OK | Closes the dialog and starts the image calculation according to the specified parameters.
Cancel | Closes the dialog without executing the command.

g-vector Tab

Option |  | Description
Manual |  | Manual setup for the diffraction vector (g-vector) used to obtain the hologram.
 | d-spacing | Planar spacing in nm corresponding to g-vector.
 | g-direction | Angle of g-vector with respect to the image horizontal (anticlockwise positive).
Crystallographic |  | Crystallographic setup for the g-vector used to obtain the hologram. Please make sure the correct crystal settings have been defined (see Crystal tab).
 | g (h k l) | Miller indices of the diffraction vector.
 | Apply | Confirms the crystallographic definition. On click, d-spacing and g-direction calculated and displayed (and see Show Arrow). This button becomes active, only when the Crystal settings have been defined.
Show Arrow |  | Tick so that on Apply, an arrow is shown on original hologram image in the direction of the g-vector.

Crystal Tab

Option |  | Description
Use Crystal Info from |  | Selection of crystallographic information from the current dialog or the saved crystal Info.
Parameter |  | Defines a crystal system and a unit cell.
 | Crystal system | Selection of the crystal system from cubic, tetragonal or orthorhombic.
 | a, b, c | Lattice parameter in nm.
Orientation |  | Parameters to define crystal orientation with respect to hologram image.
 | Zone-axis | Miller indices of zone-axis normal to hologram plane in upward direction (i.e. opposite direction to incident beam).
 | In-plain vector | Miller indices of any reciprocal lattice vector within the plane of the hologram (not necessarily the diffraction vector).
 | Direction | Orientation of in-plane vector with respect to image horizontal (anticlockwise positive). Taken by default from a DM line ROI, if marked on original hologram image.
Check Orientation |  | Confirms new crystallographic parameters and orientation.
Save Crystal Info As |  | You can save the crystal information defined in the current dialog under the specified name.
Delete Crystal Info |  | Delete the saved crystal Info from the list.


Strain Field Menu

Strain Field

(Calculate Strain Dialog)

Component |  | Description
X-axis to horizontal |  | Defines the orientation of the x-axis used for calculating the strain tensor components. Angle defined from the image horizontal to the desired x-axis (in degrees, anticlockwise positive). The values used for the previous calculation will be shown.
 | Angle | Allows angle to be defined manually.
 | Crystallographic direction | Allows angle to be defined using crystallographic coordinate system (see define g-vectorcCrystal tab). Miller indices of x-axis direction.
 | Apply | Confirms and applies the crystallographic definition (Manual Angle will be modified and displayed automatically).
Display |  | Choice of results to be displayed.
 | Symmetric Strain Matrix | Images of εxx, εyy and εxy to be displayed.
 | Mean Dilatation | Image of δxy to be displayed (average of εxx and εyy).
 | Rotation Angle | Image of ωxy to be displayed. Values in degrees and anticlockwise positive.


Repeat Phase

The components of the dialog are described below.

Component | Description
Project Name | Allows a new project name to be defined.
Control Tab | For information about the components of the Control tab, see Control Tab below.
g-vector Tab | For information about the components of the g-vector tab, see g-vector Tab below.
OK | Closes the dialog and starts the image calculation according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Repeat Phase Menu
(Control Tab)

Component |  | Description
Display |  | Choice of results to be displayed.
 | Power Spectrum | Tick to display the power spectrum of the hologram.
 | Phase | Phase image is always displayed (hence grayed out).
 | Amplitude | Tick to display amplitude of holographic fringes (grayed out if not used previously).
 | Lattice-plane deformation | Tick to display corresponding lattice-plane deformation (grayed out if not used previously).
Options |  | Choice of image processing options. Not previously used options will be grayed out.
 | Define reference | Tick to define the reference in the same area as for the repeated project.
 | Distortion correction | Tick to apply the distortion correction as for the repeated project.
 | Reference hologram | Tick to use the reference hologram which can be chosen from the scroll-down menu.
 | Fresnel Filter | Tick to apply the Fresnel Filter as for the repeated project. You can select the size of the filter.

g-vector Tab

Component |  | Description
Manual |  | Manual setup for the diffraction vector (g-vector) used to obtain the hologram.
 | d-spacing | Planar spacing in nm corresponding to g-vector.
 | g-direction | Angle of g-vector with respect to the image horizontal (anticlockwise positive).
Crystallographic |  | Crystallographic setup for the g-vector used to obtain the hologram. Please make sure the correct crystal settings have been defined (see Crystal tab).
 | g (h k l) | Miller indices of the diffraction vector.
 | Apply | Confirms the crystallographic definition. On click, d-spacing and g-direction calculated and displayed (and see Show Arrow). This button becomes active, only when the Crystal settings have been defined.
Show Arrow |  | Tick so that on Apply, an arrow is shown on original hologram image in the direction of the g-vector.


Manual Adjust

The components of the dialog are described below.

Component | Description
Image Selection | Choice of the two images to be used for alignment (Amplitude images).
Reference | Specify the Reference Image i.e. the one which will remain fixed.
Target | Specifies the Target Image i.e. the one which will be shifted (magnified and rotated) to align with Reference image.
Output Tab | Specifies output images. For information about the components of the Output tab, see Output Tab below.
Normalization Tab | Manual Adjustment requires normalized images as Manual Alignment. Normalization scheme is selected from the scheme tabs.
OK | Closes the dialog and starts the image calculation according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Output Tab

Component |  | Description
Phase |  |
Strain Field |  |
 | Symmetric Strain Matrix | Images of εxx, εyy and εxy to be displayed.
 | Mean Dilatation | Image of δxy to be displayed (average of εxx and εyy).
 | Rotation Angle | Image of ωxy to be displayed. Values in degrees and anticlockwise positive.

Normalization Tab

The Scheme tabs are identical to the ones for Manual Alignment.

Manual Adjust Tool

(Same as ManualAlignment Tool )


Phase Maths Menu

Option | Description
Add constant phase | Adds a uniform phase value to the front most image and renormalizes the phase.
Renormalize phase | Renormalizes the phase between -π and +π.
Add phase images | Adds two phase images together (requested in a dialog box) and displays result in a third window (after phase renormalization). If the phase images have been aligned, the new phase image will have a reference equal to the sum of the references of the two phase images. Otherwise, the new phase image will have a reference equal to the first phase image selected.
Subtract phase images | Subtracts two phase images (requested in a dialog box) and displays result in a third window (after phase renormalization). If the phase images have been aligned, the new phase image will have a reference equal to the difference of the references of the two phase images. Otherwise, the new phase image will have a reference equal to the first phase image selected.
Invert phase | Calculates the negative of the phase (and inverts the g-vector).


Phase Tools Menu

Option | Description
Sample by 2 | Rebins the front-most phase image by two and multiplies the reference by two (thus preserving the reference values gx and gy in pixels-1 of the newly sampled image).
Countours... | Superimposes contours on the front most image (see options).
Create moires | Creates a moiré image from the front most phase image. Asks for the magnification factor n equivalent to moiré fringes every n lattice fringes.
Import phase images | Imports images into HoloDark so that they are recognized as phase images. Dialog boxes will appear asking for the value of references gx and gy in pixels-1. Images which are imported together will be considered aligned. If the image has tags called Phase:gx and Phase:gy, these will be proposed as default.
Get unwrapped phase | Displays unwrapped phase image in new window. Note: there is no unique solution for phase unwrapping.

Contours Dialog
(Option Tab)

Component | Description
Contour spacing | Step in image values between each contour.
Number of contours | Total number of contours displayed.
Mid contour | Image value corresponding to mid contour.
Contour width | Contour line width in pixels.


Align Images Menu

Option | Description
Manual | Starts Manual Alignment.
Translation | Starts translation-only automatic alignment. Any mouse clicks will be ignored when present.
Use Previous Alignment | Starts alignment using the previously determined alignment information. This alignment mode is useful, when the derived images give good alignment information.

Manual Alignment Dialog

Component | Description
Image Selection | Choice of the two images to be used for alignment (usually Amplitude images, in which case the corresponding Phase images will be aligned accordingly).
Reference | Specify the Reference Image i.e. the one which will remain fixed.
Target | Specify the Target Image i.e. the one which will be shifted (magnified and rotated) to align with Reference image.
Normalization (see Scheme Tabs) | Manual alignment tool requires normalized images. Normalization scheme is selected from the scheme tabs.
Define Reference for the target image | Tick to Define reference in the same area used for the reference image.
OK | Closes the dialog and starts the procedure according to the specified parameters.
Cancel | Cancels the procedure.

Normalization
(Contrast Limits Tab)

Component | Description
Remove outliers | Display limits (Lowest and Highest values) are defined by excluding the specified % of outliers (same as DM display limits).
Adjust Local Mean | Tick to adjust background using the local mean. The size of area used to calculate the local mean is specified in pixels.
Check | Click to check the effect of normalization.

Normalization
(Local Variance Tab)

Component | Description
Local Area Size | Specifies a local area size in pixels.
Display Range | Specifies display range in terms of local standard deviation (std). Namely, the display range will be +/- *.
Check | Click to check the effect of normalization.

Normalization
(None Tab)

Manual Alignment Tool

Component |  | Description
Translation |  | Translates the Target image with respect to the Reference image, in the direction of the arrow clicked upon. Keyboard arrow keys can also be used.
 | Reset | Returns the target image to its initial position.
 | Step | Step for one click in pixels.
Scale |  | Magnifies, or demagnifies, the Target image with respect to the Reference image.
 | Reset | Returns the Target image to its initial magnification.
 | Step | Step for one click in fractions of scale change.
Angle |  | Rotates the Target image, clockwise or anticlockwise, with respect to the Reference image.
 | Reset | Returns the Target image to initial orientation.
 | Step | Step for one click in degrees.
Display mode |  | Display mode may be selected from the pull-down list.
CB Size |  | Defines the checker board size (in pixels) for Checker Board display mode CB.
Flash FPS |  | Defines Image flash rate (in seconds) for Flash mode display. (Actual flash rate is hardware dependent.)

Automatic Alignment
Translation
(Image Selection Dialog)

Component | Description
Reference Image | Specify the Reference Image i.e. the one which will remain fixed.
Target Image | Specify the Target Image i.e. the one which will be shifted (magnified and rotated) to align with Reference image.

Translation Alignment
(Alignment Tab)

Option |  | Description
Scheme |  |
 | Scheme | (Translation)
Cross Correlation |  |
 | Mode | Cross-correlation mode will be selected from: Conventional: cross-correlation with normal amplitudes. Square Root Modulus: cross-correlation with square root amplitudes. Phase Only: cross-correlation with unit amplitudes (only phase will be retained). None: No alignment.
 | Size | (Always use the whole image)
 | Mask | Specifies a radius of Low-pass filter in Fourier space (relative to the Nyquest frequency) to reduce high-frequency noise.
 | Hanning Window | When checked, a Hanning Window will be applied for Fourier transforms used for cross-correlation calculations.
Define Reference for the target image |  | Tick to Define reference in the same area used for the reference image.

Translation Alignment
(Option Tab)

Option |  | Description
Peak Search Box |  |
 | Size | Radius of the cross-correlation peak search area.
 | Threshold | Intensity below this level will be ignored when estimating a peak center.
Dud Pixels |  |
 | Quick Dud Pixel Check | If checked, abnormal pixels will be checked based on the standard deviation of the whole image.
 | Dud Pixel Threshold | Specifies the threshold standard deviation for a quick dud pixel check.

Translation Alignment
(Display Tab)

Option | Description
Aligned Image | Tick to display Reference and Target images after alignment.
Alignment Phase | Tick to display corresponding phase images after alignment.
Cross Correlations | Tick to display cross-correlation patterns.
Difference Image | Tick to display a difference between images used for alignment. This is useful to check an alignment quality.
Message Level | Controls the amount of output message to the Results Window. (None/Normal/Detail)

Automatic Alignment
Use Previous Alignment Dialog
(Image Selection Dialog)

Option | Description
Aligned Image | Specify a previously aligned image.
Reference Image | Specify the Reference Image i.e. the one which will remain fixed.
Target Image | Specify the Target Image i.e. the one which will be shifted (magnified and rotated) to align with Reference image.


Extract Rotated Region Menu

Option | Description
Define | Before running the command, an area needs to be selected by the DM rectangular ROI tool. The rectangular ROI can be made rotatable (see Setup).
Extract | Extracts the region within the ROI. The long edge direction will be rotated to horizontal. The final display can be further rotated by 90/180/270 degrees (see Setup).
Extract Group | Extracts the same area from a group of images (e.g. strain maps).
Setup... | Opens Setup Dialog.

Setup Dialog

Option | Description
Rotatable | Tick to make the rectangular ROI rotatable. Edge length will be adjusted by grabbing the yellow edges, and the rotation angle will be adjusted by the yellow cross (+). (You can change the both edge lengths by dragging the yellow cross when holding down the SHIFT key.).
Automatic | Tick to align initially the reference ROI parallel to the hologram fringes.
Rotate | The selected region will be displayed with further rotation by 90/180/270 degrees.


Image Group Menu

Component | Description
Save | Saves (with dialog) all images of the same type as front-most image (e.g. strain maps).
Close | Closes (without saving) all images of the same type as the front most image.


Reference Image Menu

Component | Description
Save As | Saves the original image of the current project as a reference image for image distortions. Two phase images need to have been calculated. The reference image will then appear in the Distortion tab described in Phase Calculation.
Delete | Deletes a selected reference image.